## r-cran-cutpointr 1.1.1

=== DESCRIPTION ===
Package: cutpointr
Type: Package
Title: Determine and Evaluate Optimal Cutpoints in Binary
        Classification Tasks
Version: 1.1.1
Date: 2021-06-28
Authors@R: 
    person(given = "Christian",
           family = "Thiele",
           role = c("cre", "aut"),
           email = "c.thiele@gmx-topmail.de",
           comment = c(ORCID = "0000-0002-1156-5117"))
Description: Estimate cutpoints that optimize a specified metric in binary classification tasks
    and validate performance using bootstrapping. Some methods for more robust cutpoint
    estimation are supported, e.g. a parametric method assuming normal distributions,
    bootstrapped cutpoints, and smoothing of the metric values per cutpoint using
    Generalized Additive Models. Various plotting functions are included. For an overview
    of the package see Thiele and Hirschfeld (2021) <doi:10.18637/jss.v098.i11>.
License: GPL-3
URL: https://github.com/thie1e/cutpointr
BugReports: https://github.com/thie1e/cutpointr/issues
Encoding: UTF-8
LazyData: true
Depends: R (>= 3.5.0)
LinkingTo: Rcpp
Imports: gridExtra (>= 2.2.1), foreach (>= 1.4.3), dplyr (>= 0.8.0),
        tidyselect (>= 1.1.0), tidyr (>= 1.0.0), purrr (>= 0.3.0),
        tibble (>= 3.0.0), ggplot2 (>= 3.0.0), Rcpp (>= 0.12.12),
        stats, utils, rlang (>= 0.4.0)
RoxygenNote: 7.1.1
Suggests: KernSmooth (>= 2.23-15), fANCOVA (>= 0.5-1), testthat (>=
        1.0.2), doRNG (>= 1.6), doParallel (>= 1.0.11), knitr,
        rmarkdown, mgcv (>= 1.8), crayon (>= 1.3.4), registry (>=
        0.5-1), pkgmaker(>= 0.31.1), vctrs (>= 0.2.4)
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2021-06-28 22:17:51 UTC; Khl4v
Author: Christian Thiele [cre, aut] (<https://orcid.org/0000-0002-1156-5117>)
Maintainer: Christian Thiele <c.thiele@gmx-topmail.de>
Repository: CRAN
Date/Publication: 2021-06-29 06:30:02 UTC

=== debian/changelog ===
r-cran-cutpointr (1.1.1-2) unstable; urgency=medium

  * Team upload.
  * d/control: Update versioned B-D

 -- Nilesh Patra <nilesh@debian.org>  Sun, 03 Oct 2021 18:00:09 +0530

r-cran-cutpointr (1.1.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on r-cran-dplyr, r-cran-foreach,
      r-cran-ggplot2, r-cran-rlang, r-cran-tibble, r-cran-tidyr and
      r-cran-tidyselect.

 -- Andreas Tille <tille@debian.org>  Thu, 26 Aug 2021 07:29:19 +0200

r-cran-cutpointr (1.1.0-1) unstable; urgency=medium

  * Initial release (closes: #989093)

 -- Andreas Tille <tille@debian.org>  Tue, 25 May 2021 21:18:54 +0200

=== debian/control ===
Source: r-cran-cutpointr
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-gridextra,
               r-cran-foreach (>= 1.4.3),
               r-cran-dplyr (>= 0.8.0),
               r-cran-tidyselect (>= 1.1.0),
               r-cran-tidyr (>= 1.0.0),
               r-cran-purrr,
               r-cran-tibble (>= 3.0.0),
               r-cran-ggplot2 (>= 3.0.0),
               r-cran-rcpp (>= 0.12.12),
               r-cran-rlang (>= 0.4.0)
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-cutpointr
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-cutpointr.git
Homepage: https://cran.r-project.org/package=cutpointr
Rules-Requires-Root: no

Package: r-cran-cutpointr
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R determine and evaluate optimal cutpoints in binary
 Classification Tasks Estimate cutpoints that optimize a specified
 metric in binary classification tasks and validate performance
 using bootstrapping. Some methods for more robust cutpoint
 estimation are supported, e.g. a parametric method assuming normal
 distributions, bootstrapped cutpoints, and smoothing of the metric
 values per cutpoint using Generalized Additive Models. Various
 plotting functions are included. For an overview of the package
 see Thiele and Hirschfeld (2020) <arXiv:2002.09209>.

## r-cran-cutpointr 1.1.2

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: Determine and Evaluate Optimal Cutpoints in Binary
         Classification Tasks
-Version: 1.1.1
-Date: 2021-06-28
+Version: 1.1.2
+Date: 2022-04-13
 Authors@R: 
     person(given = "Christian",
            family = "Thiele",
@@ -27,15 +27,15 @@
         tidyselect (>= 1.1.0), tidyr (>= 1.0.0), purrr (>= 0.3.0),
         tibble (>= 3.0.0), ggplot2 (>= 3.0.0), Rcpp (>= 0.12.12),
         stats, utils, rlang (>= 0.4.0)
-RoxygenNote: 7.1.1
+RoxygenNote: 7.1.2
 Suggests: KernSmooth (>= 2.23-15), fANCOVA (>= 0.5-1), testthat (>=
         1.0.2), doRNG (>= 1.6), doParallel (>= 1.0.11), knitr,
         rmarkdown, mgcv (>= 1.8), crayon (>= 1.3.4), registry (>=
         0.5-1), pkgmaker(>= 0.31.1), vctrs (>= 0.2.4)
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2021-06-28 22:17:51 UTC; Khl4v
+Packaged: 2022-04-13 17:35:21 UTC; Khl4v
 Author: Christian Thiele [cre, aut] (<https://orcid.org/0000-0002-1156-5117>)
 Maintainer: Christian Thiele <c.thiele@gmx-topmail.de>
 Repository: CRAN
-Date/Publication: 2021-06-29 06:30:02 UTC
+Date/Publication: 2022-04-13 18:12:29 UTC

=== debian/changelog ===
r-cran-cutpointr (1.1.2-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 28 Apr 2022 10:02:17 +0200

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,14 @@
                dh-r,
                r-base-dev,
                r-cran-gridextra,
-               r-cran-foreach (>= 1.4.3),
+               r-cran-foreach,
                r-cran-dplyr (>= 0.8.0),
                r-cran-tidyselect (>= 1.1.0),
                r-cran-tidyr (>= 1.0.0),
                r-cran-purrr,
                r-cran-tibble (>= 3.0.0),
-               r-cran-ggplot2 (>= 3.0.0),
-               r-cran-rcpp (>= 0.12.12),
+               r-cran-ggplot2,
+               r-cran-rcpp,
                r-cran-rlang (>= 0.4.0)
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-cutpointr

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-fancova, r-cran-kernsmooth
Restrictions: allow-stderr

## r-cran-cutpointr 1.2.0

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: Determine and Evaluate Optimal Cutpoints in Binary
         Classification Tasks
-Version: 1.1.2
-Date: 2022-04-13
+Version: 1.2.0
+Date: 2024-12-10
 Authors@R: 
     person(given = "Christian",
            family = "Thiele",
@@ -27,15 +27,15 @@
         tidyselect (>= 1.1.0), tidyr (>= 1.0.0), purrr (>= 0.3.0),
         tibble (>= 3.0.0), ggplot2 (>= 3.0.0), Rcpp (>= 0.12.12),
         stats, utils, rlang (>= 0.4.0)
-RoxygenNote: 7.1.2
+RoxygenNote: 7.3.1
 Suggests: KernSmooth (>= 2.23-15), fANCOVA (>= 0.5-1), testthat (>=
         1.0.2), doRNG (>= 1.6), doParallel (>= 1.0.11), knitr,
         rmarkdown, mgcv (>= 1.8), crayon (>= 1.3.4), registry (>=
-        0.5-1), pkgmaker(>= 0.31.1), vctrs (>= 0.2.4)
+        0.5-1), vctrs (>= 0.2.4)
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2022-04-13 17:35:21 UTC; Khl4v
+Packaged: 2024-12-10 22:15:28 UTC; thic
 Author: Christian Thiele [cre, aut] (<https://orcid.org/0000-0002-1156-5117>)
 Maintainer: Christian Thiele <c.thiele@gmx-topmail.de>
 Repository: CRAN
-Date/Publication: 2022-04-13 18:12:29 UTC
+Date/Publication: 2024-12-10 22:50:02 UTC

=== debian/changelog ===
r-cran-cutpointr (1.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Charles Plessy <plessy@debian.org>  Mon, 20 Jan 2025 15:46:03 +0900

=== debian/control ===
--- 
+++ 
@@ -9,15 +9,15 @@
                r-base-dev,
                r-cran-gridextra,
                r-cran-foreach,
-               r-cran-dplyr (>= 0.8.0),
-               r-cran-tidyselect (>= 1.1.0),
-               r-cran-tidyr (>= 1.0.0),
+               r-cran-dplyr,
+               r-cran-tidyselect,
+               r-cran-tidyr,
                r-cran-purrr,
-               r-cran-tibble (>= 3.0.0),
+               r-cran-tibble,
                r-cran-ggplot2,
                r-cran-rcpp,
-               r-cran-rlang (>= 0.4.0)
-Standards-Version: 4.6.0
+               r-cran-rlang
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-cutpointr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-cutpointr.git
 Homepage: https://cran.r-project.org/package=cutpointr

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-kernsmooth (>= 2.23-15),
        r-cran-fancova (>= 0.5-1),
        r-cran-testthat (>= 1.0.2),
        r-cran-dorng (>= 1.6),
        r-cran-doparallel (>= 1.0.11),
        r-cran-knitr,
        r-cran-rmarkdown,
        r-cran-mgcv (>= 1.8),
        r-cran-crayon (>= 1.3.4),
        r-cran-registry (>= 0.5-1),
        r-cran-vctrs (>= 0.2.4)
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/cutpointr_([-\d.]*)\.tar\.gz

## r-cran-cutpointr 1.2.1

=== debian/changelog ===
r-cran-cutpointr (1.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 17 Dec 2025 10:35:12 +0900

=== debian/control ===
--- 
+++ 
@@ -16,8 +16,10 @@
                r-cran-tibble,
                r-cran-ggplot2,
                r-cran-rcpp,
-               r-cran-rlang
-Standards-Version: 4.7.0
+               r-cran-rlang,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-cutpointr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-cutpointr.git
 Homepage: https://cran.r-project.org/package=cutpointr
